<?php

/**
 * Created by PhpStorm.
 * User: d.lanec
 * Date: 19.05.2020
 * Time: 22:02
 */

namespace Mailbox\Infrastructure\Repositories;

interface ProtocolConnectionInterface
{
    public function isSocketDebug(): bool;

    public function getHost(): string;

    public function getLogin(): string;

    public function getPassword(): string;

    public function getPort(): int;

    public function isSsl(): bool;
}
